Debian Bug report logs - #722238
ITP: python-nose-testconfig -- test configuration plugin for nosetests

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Goirand <zigo@debian.org>

Date: Mon, 9 Sep 2013 10:24:01 UTC

Owned by: Thomas Goirand <zigo@debian.org>

Severity: wishlist

Fixed in version python-nose-testconfig/0.9-1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#722238; Package wnpp. (Mon, 09 Sep 2013 10:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 09 Sep 2013 10:24:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-nose-testconfig -- test configuration plugin for nosetests
Date: Mon, 09 Sep 2013 18:21:23 +0800
Package: wnpp
Severity: wishlist
Owner: Thomas Goirand <zigo@debian.org>

* Package name    : python-nose-testconfig
  Version         : 0.9
  Upstream Author : Jesse Noller <jnoller@gmail.com>
* URL             : https://pypi.python.org/pypi/nose-testconfig
* License         : Apache-2.0
  Programming Lang: Python
  Description     : test configuration plugin for nosetests

 nose-testconfig is a plugin to the nose test framework which provides a
 faculty for passing test-specific (or test-run specific) configuration data to
 the tests being executed.
 .
 Currently configuration files in the following formats are supported:
   * YAML (via python-yaml)
   * INI (via ConfigParser)
   * Pure Python (via Exec)
   * JSON
 .
 The plugin is meant to be flexible, ergo the support of exec'ing arbitrary
 Python files as configuration files with no checks. The default format is
 assumed to be ConfigParser ini-style format.
 .
 The plugin provides a method of overriding certain parameters from the command
 line (assuming that the main "config" object is a dict) and can easily have
 additional parsers added to it.
 .
 A configuration file may not be provided. In this case, the config object is an
 emtpy dict. Any command line "overriding" paramters will be added to the dict.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 29 Sep 2013 20:06:04 GMT) Full text and rfc822 format available.

Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Sat, 19 Oct 2013 04:03:16 GMT) Full text and rfc822 format available.

Notification sent to Thomas Goirand <zigo@debian.org>:
Bug acknowledged by developer. (Sat, 19 Oct 2013 04:03:16 GMT) Full text and rfc822 format available.

Message #12 received at 722238-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 722238-close@bugs.debian.org
Subject: Bug#722238: fixed in python-nose-testconfig 0.9-1
Date: Sat, 19 Oct 2013 04:00:06 +0000
Source: python-nose-testconfig
Source-Version: 0.9-1

We believe that the bug you reported is fixed in the latest version of
python-nose-testconfig, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 722238@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated python-nose-testconfig package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 09 Sep 2013 18:12:59 +0800
Source: python-nose-testconfig
Binary: python-nose-testconfig
Architecture: source all
Version: 0.9-1
Distribution: unstable
Urgency: low
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 python-nose-testconfig - test configuration plugin for nosetests
Closes: 722238
Changes: 
 python-nose-testconfig (0.9-1) unstable; urgency=low
 .
   * Initial release. (Closes: #722238)
Checksums-Sha1: 
 ff24b3d010b832a97171231b10803cd7d870dace 1540 python-nose-testconfig_0.9-1.dsc
 3b70730527200100f5156a418db826dbe9625ab2 7614 python-nose-testconfig_0.9.orig.tar.gz
 9ea06770ece83fe0420f2d89f691c83aaf87f42a 2129 python-nose-testconfig_0.9-1.debian.tar.gz
 9dcfb69c8880b4b566bed018a293185fd26b5826 8004 python-nose-testconfig_0.9-1_all.deb
Checksums-Sha256: 
 8a78e324e23083fb43a4eed40f37881aaf97ae5d6de8997fe8c9f1aaf51ea455 1540 python-nose-testconfig_0.9-1.dsc
 bb6f1dd2dbd3e54a6c456110fb6dced449b5ad5262af712d595c123e4f8c34d3 7614 python-nose-testconfig_0.9.orig.tar.gz
 d517320ae762a73c2c11ae39060dd0387a4fa1d3c6777e068b61700e5e6604a3 2129 python-nose-testconfig_0.9-1.debian.tar.gz
 47123a769097cd3da4da76ffa05cc00bc194c28e66a34cef015f46a7937107d1 8004 python-nose-testconfig_0.9-1_all.deb
Files: 
 8499d33525de724f363966a7fa535379 1540 python optional python-nose-testconfig_0.9-1.dsc
 bd4480f8685cf6500058f9d94f672e35 7614 python optional python-nose-testconfig_0.9.orig.tar.gz
 82fe529625ad308971a9a8b6b1a322fc 2129 python optional python-nose-testconfig_0.9-1.debian.tar.gz
 a18223e3ecbec8466289c69f7bbadca3 8004 python optional python-nose-testconfig_0.9-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlItooUACgkQl4M9yZjvmknHaQCdHA/0+uWZf1V0OOZp0Kbon+6A
Pn4Ani8++Y6BHDFl32RQJHzmQOugXj9Q
=WZ6N
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 16 Nov 2013 07:28:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:53:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.